部署redmine,此步走步下去,请教。

老鼠dcy 发布于 2014/06/22 15:22
阅读 2K+
收藏 0
[root @centos config]# rake generate_secret_token
(in /usr/local/redmine)
Could not find gem 'rails (= 3.2.16) ruby' in the gems available on this machine.   // 报错信息
Run `bundle install` to install missing gems.     //报错信息
[root @centos config]#


请教我下面该怎么办?谢谢

centos 6.5  redmine 2.4.2


加载中
0
老鼠dcy
老鼠dcy
刚搜索了下,好像是我路径有问题。是否先到/var/www/redmine/ 然后再执行这段代码 rake generate_secret_token
0
树

Run `bundle install` to install missing gems.

运行bundle install

0
huan
huan

先安装rails

老鼠dcy
老鼠dcy
回复 @huan : 嗯,最后处理方式bundle install,估计会一起更新吧,反正后面买出现这个报错,后面其他的报错,后面找方法处理了。谢谢。
huan
huan
回复 @老鼠dcy : 写的很清楚 rails (= 3.2.16) 需要3.2.16版本
老鼠dcy
老鼠dcy
我rails显示安装成功的。rails -v,下面出现的内容是rails 2.0.4...所以应该表示成功的吧
0
憨厚的瓜
憨厚的瓜
最方便的还是用bitnami的一键安装包!
老鼠dcy
老鼠dcy
我搜搜,对于一个新手来装redmine,我承认我快被他弄疯掉了。
0
老鼠dcy
老鼠dcy
[root@centos redmine]# rake generate_secret_token
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::ANY
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::UTF8
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::UTF16LE
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::UTF16BE
rake aborted!             //  报错信息
TypeError: superclass mismatch for class SyntaxError       //  报错信息

(See full trace by running task with --trace)             //  报错信息


遇到新的问题了,这个怎么处理?谢谢!
0
老鼠dcy
老鼠dcy

引用来自“树”的评论

Run `bundle install` to install missing gems.

运行bundle install

出现了,一个新的错误,不知道怎么处理?

[root@centos redmine]# rake generate_secret_token
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::ANY
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::UTF8
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::UTF16LE
/usr/local/lib/ruby/2.0.0/x86_64-linux/psych.so: warning: already initialized constant Psych::Parser::UTF16BE
rake aborted!
TypeError: superclass mismatch for class SyntaxError

(See full trace by running task with --trace)

0
老鼠dcy
老鼠dcy

万能的神,终于解决了,上面问题的方法:/usr/local/redmine/

修改Gemfile文件,在文件里面,加入gem "psych"

妈的,总算解决了,整整被折磨了2个月。

在此谢谢帮助过我的朋友。

返回顶部
顶部